<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Admin\Repository\QuerySearch;

use Doctrine\ORM\QueryBuilder;

class RegionSearch
{
    public static function querySearch($search, QueryBuilder $queryBuilder): QueryBuilder
    {
        {
            if (isset($search['start_id']) && $search['start_id'] > 0) $queryBuilder->andWhere($queryBuilder->expr()->gte('r.regionId', $search['start_id']));
            if (isset($search['end_id']) && $search['end_id'] > 0) $queryBuilder->andWhere($queryBuilder->expr()->lte('r.regionId', $search['end_id']));
            if (isset($search['region_name']) && !empty($search['region_name'])) $queryBuilder->andWhere($queryBuilder->expr()->like('c.regionName', ':regionName'))->setParameter('regionName', '%' . $search['region_name'] . '%');

            return $queryBuilder;
        }
    }
}