<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Cms\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 单页多语言内容
 * @ORM\Entity(repositoryClass="Cms\Repository\SingleCmsContentRepository")
 * @ORM\Table(name="dbcart_single_cms_content")
 */
class SingleCmsContent extends BaseEntity
{
    /**
     * 自增id
     * @ORM\Id()
     * @ORM\Column(name="content_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $contentId;

    /**
     * 单页id
     * @ORM\Column(name="single_cms_id", type="integer", length=11)
     */
    private $singleCmsId;
    /**
     * 单页文章标题
     * @ORM\Column(name="single_cms_title", type="string", length=200)
     */
    private $singleCmsTitle;

    /**
     * 单页内容
     * @ORM\Column(name="single_cms_body", type="string")
     */
    private $singleCmsBody;

    /**
     * 扩展标题（SEO）
     * @ORM\Column(name="single_cms_extend_title", type="string", length=200)
     */
    private $singleCmsExtendTitle;

    /**
     * 关键字（SEO）
     * @ORM\Column(name="single_cms_keywords", type="string", length=200)
     */
    private $singleCmsKeywords;

    /**
     * 描述（SEO）
     * @ORM\Column(name="single_cms_description", type="string", length=500)
     */
    private $singleCmsDescription;

    /**
     * 语言编码
     * @ORM\Column(name="language_code", type="string", length=10)
     */
    private $languageCode;

    /**
     * @return mixed
     */
    public function getContentId()
    {
        return $this->contentId;
    }

    /**
     * @param mixed $contentId
     */
    public function setContentId($contentId): void
    {
        $this->contentId = $contentId;
    }

    /**
     * @return mixed
     */
    public function getSingleCmsId()
    {
        return $this->singleCmsId;
    }

    /**
     * @param mixed $singleCmsId
     */
    public function setSingleCmsId($singleCmsId): void
    {
        $this->singleCmsId = $singleCmsId;
    }

    /**
     * @return mixed
     */
    public function getSingleCmsTitle()
    {
        return $this->singleCmsTitle;
    }

    /**
     * @param mixed $singleCmsTitle
     */
    public function setSingleCmsTitle($singleCmsTitle): void
    {
        $this->singleCmsTitle = $singleCmsTitle;
    }

    /**
     * @return mixed
     */
    public function getSingleCmsBody()
    {
        return $this->singleCmsBody;
    }

    /**
     * @param mixed $singleCmsBody
     */
    public function setSingleCmsBody($singleCmsBody): void
    {
        $this->singleCmsBody = $singleCmsBody;
    }

    /**
     * @return mixed
     */
    public function getSingleCmsExtendTitle()
    {
        return $this->singleCmsExtendTitle;
    }

    /**
     * @param mixed $singleCmsExtendTitle
     */
    public function setSingleCmsExtendTitle($singleCmsExtendTitle): void
    {
        $this->singleCmsExtendTitle = $singleCmsExtendTitle;
    }

    /**
     * @return mixed
     */
    public function getSingleCmsKeywords()
    {
        return $this->singleCmsKeywords;
    }

    /**
     * @param mixed $singleCmsKeywords
     */
    public function setSingleCmsKeywords($singleCmsKeywords): void
    {
        $this->singleCmsKeywords = $singleCmsKeywords;
    }

    /**
     * @return mixed
     */
    public function getSingleCmsDescription()
    {
        return $this->singleCmsDescription;
    }

    /**
     * @param mixed $singleCmsDescription
     */
    public function setSingleCmsDescription($singleCmsDescription): void
    {
        $this->singleCmsDescription = $singleCmsDescription;
    }

    /**
     * @return mixed
     */
    public function getLanguageCode()
    {
        return $this->languageCode;
    }

    /**
     * @param mixed $languageCode
     */
    public function setLanguageCode($languageCode): void
    {
        $this->languageCode = $languageCode;
    }
}