<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Operation\Controller\Factory;

use Admin\Data\Config;
use Interop\Container\ContainerInterface;
use Laminas\Mvc\I18n\Translator;
use Laminas\ServiceManager\Factory\FactoryInterface;
use Operation\Controller\RechargeCodeController;
use Operation\Service\RechargeCodeManager;
use Operation\Service\RechargeCodeRuleContentManager;
use Operation\Service\RechargeCodeRuleManager;

class RechargeCodeControllerFactory implements FactoryInterface
{
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $translator         = $container->get(Translator::class);
        $entityManager      = $container->get(Config::SHOP_DATABASE_MANAGER_WRITE);
        $rechargeCodeRuleManager = $container->get(RechargeCodeRuleManager::class);
        $rechargeCodeManager= $container->get(RechargeCodeManager::class);
        $rechargeCodeRuleContentManager = $container->get(RechargeCodeRuleContentManager::class);

        return new RechargeCodeController(
            $translator,
            $entityManager,
            $rechargeCodeRuleManager,
            $rechargeCodeManager,
            $rechargeCodeRuleContentManager
        );
    }
}