<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Operation\Service;

use Doctrine\ORM\EntityManager;
use Operation\Entity\AdSlideContent;

class AdSlideContentManager
{
    private $entityManager;

    public function __construct(
        EntityManager $entityManager
    )
    {
        $this->entityManager = $entityManager;
    }

    /**
     * 添加或者编辑幻灯片内容
     * @param array $data
     * @param array $adSlideIdArray
     * @param $adId
     * @return void
     * @throws \Doctrine\ORM\ORMException
     * @throws \Doctrine\ORM\OptimisticLockException
     */
    public function adaOrEditAdSlideContent(array $data, array $adSlideIdArray, $adId)
    {
        foreach ($adSlideIdArray as $key => $slideId) {
            foreach (SHOP_LANGUAGE as $language) {
                $slideContent = $this->entityManager->getRepository(AdSlideContent::class)->findOneBy(['adSlideId' => $slideId, 'adId' => $adId, 'languageCode' => $language]);
                if ($slideContent) {
                    $slideContent->setAdWords($data['slideAdWords'.$key.$language]);
                } else {
                    $slideContent = new AdSlideContent();
                    $slideContent->setLanguageCode($language);
                    $slideContent->setAdSlideId($slideId);
                    $slideContent->setAdId($adId);
                    $slideContent->setAdWords($data['slideAdWords'.$key.$language]);

                    $this->entityManager->persist($slideContent);
                }

                $this->entityManager->flush();
            }
        }
    }

    /**
     * 删除幻灯片广告
     * @param $adSlideId
     * @return void
     */
    public function deleteAdSlideContent($adSlideId)
    {
        $qb = $this->entityManager->createQueryBuilder();
        $qb->delete(AdSlideContent::class, 'c')->where($qb->expr()->eq('c.adSlideId', $adSlideId));
        $qb->getQuery()->execute();
    }
}